Subject: [PATCH] ARM: kvm: rename cpu_reset to avoid name clash

From: [email-masked] (Christoffer Dall)
Date: Mon, 23 Sep 2013 22:05:05 +0100

On Mon, Sep 23, 2013 at 09:30:42PM +0100, Russell King - ARM Linux wrote:
> On Mon, Sep 23, 2013 at 12:59:44PM -0700, Olof Johansson wrote:
> > Hi Christoffer,
> > 
> > On Mon, Sep 16, 2013 at 8:47 PM, Christoffer Dall
> > <[email-masked]> wrote:
> > > On 16 September 2013 19:41, Olof Johansson <[email-masked]> wrote:
> > >> Hi,
> > >>
> > >> On Wed, Sep 11, 2013 at 6:50 PM, Christoffer Dall
> > >> <[email-masked]> wrote:
> > >>> On Wed, Sep 11, 2013 at 03:39:26PM -0700, Olof Johansson wrote:
> > >>>> On Wed, Sep 11, 2013 at 3:27 PM, Olof Johansson <[email-masked]> wrote:
> > >>>> > cpu_reset is already #defined in <asm/proc-fns.h> as processor.reset,
> > >>>> > so it expands here and causes problems.
> > >>>> >
> > >>>> > Signed-off-by: Olof Johansson <[email-masked]>
> > >>>>
> > >>>> I just noticed this is broken on 3.10 too, so if/when applying feel free to add:
> > >>>>
> > >>>> Cc: <[email-masked]> # 3.10+
> > >>>>
> > >>> Thanks for the fix, applied.
> > >>
> > >> I haven't seen this hit linux-next yet?
> > >>
> > > I was waiting for kvm/next to move to 3.12-rc1 and base the patch for
> > > kvm-arm-next off there, but I pushed this to kvm-arm-next now and it
> > > should land in linux-next as soon as they update.
> > 
> > Another week has passed, and -next and mainline are both still broken.
> > Can we please see a fix in mainline and -next within the next few
> > days?
> 
> I'm getting failing builds too, which will only stop once it hits
> mainline.

Apologies about this, apparently linux-next doesn't pull in my tree despite
e-mail confirmation that it did.  I was away last week for LPC, but I'll
make sure this lands upstream ASAP.

-Christoffer